import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import com.jinsight.jetchart.*;

/**
 *
 * This demo  displays  a chart with three annotations. The annotations
 * can be dragged with the  mouse. Click  any annotation with left   or
 * right  mouse  button and drag. Double click an annotation to make it
 * opaque or transparent.
 *	
 * @author Andre de Lima Soares - alsoares@jinsight.com 
 */
public class Main extends JFrame  {
    Graph graph;
    LineSerie ls;

    public Main() {

	addWindowListener(new WindowAdapter() {
	   public void windowClosing(WindowEvent evt) {
		System.exit(0);
	   }
	});
	
	// A title for the frame
	setTitle("The JetChart Library - Line Series chart demo with annotations");
	
	// Values for the series
	double[] values={226,223,221,220,221,220,215,216,219,222};
	
	// Creates two line series
	ls=new LineSerie(values,"Line Series");
	ls.setColor(Color.orange);

	graph=new Graph();
	graph.setGradientColors(Color.white,Color.cyan);
	graph.set3DEnabled(true);
	graph.setSerieDraggingEnabled(true);
	graph.getToolTip().setEnabled(true);
	graph.getGraphSet(0).getGrid().setEnabled(true);

	graph.setTitle(new String[]{"The JetChart Library","Annotations demo"});
	
	graph.setStartDate("10012000");
	graph.setVDepth(20);

	Scale scale=graph.getGraphSet(0).getScale();
	scale.setAutoScaleEnabled(false);
	scale.setIncrement(10);
	scale.setMinValue(170);
	scale.setMaxValue(250);

	// Creates three Note objects
	Note n1=new Note(new String[]{"This text is inside a Note object.",
				      "Drag it to any place you wish.",
				      "Double-click it to enable/disable opacity."},200,240);

	n1.setBackground(new Color(255,255,128));

	Note n2=new Note(new String[]{"This is the second annotation."},200,200);
	n2.setOpacityEnabled(false);

	Note n3=new Note(new String[]{"This is the third annotation"},200,100);
	
	// Adds the Note objects to the graphic context
	graph.addNote(n1);
	graph.addNote(n2);
	graph.addNote(n3);

	// Adds the line serie to the graphic context
	graph.addSerie(ls);

        Container ct=getContentPane();
	ct.add("Center",graph);

        addWindowListener(new WindowAdapter() {
           public void windowClosing(WindowEvent evt) {
              System.exit(0);
           }
        });

	setSize(500,400);

	// Centers frame on the screen
	Dimension d=getToolkit().getScreenSize();
	setLocation((d.width-getSize().width)/2,(d.height-getSize().height)/2);

	setVisible(true);

    }

   
    public static void main(String[] args) {
	new Main();
    }
}
